angleTracker.minAngle = 5;
angleTracker.angle = angleTracker.minAngle;
angleTracker.isTracking = 0;
angleTracker.angleIncrement = 2;
angleTracker.checkTracking = function()
{
   return this.isTracking;
};
angleTracker.startTracking = function()
{
   var _loc1_ = this;
   _loc1_.isTracking = 1;
   _loc1_.resetAngle();
   _loc1_.onEnterFrame = _loc1_.trackAngleIncrement;
};
angleTracker.stopTracking = function()
{
   delete this.onEnterFrame;
   this.isTracking = 0;
};
angleTracker.trackAngleIncrement = function()
{
   var _loc1_ = this;
   if(_loc1_.angle < maxAngle)
   {
      _loc1_.angle += _loc1_.angleIncrement;
      angle.adjustAngle(_loc1_.angle);
   }
};
angleTracker.resetAngle = function()
{
   this.angle = this.minAngle;
};
angleTracker.getAngle = function()
{
   return this.angle;
};
angle.adjustAngle = function(angle)
{
   this.angleGfx._rotation = -1 * angle;
   this.readout = angle + " degrees";
};
angleTracker.init = function()
{
   angle.adjustAngle(angleTracker.minAngle);
};
angleTracker.init();
